package de.dass_it.vanhelsing.gui.items;

public class FileSetItem extends ItemType implements UserObjectItem {
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="ignorefilesetchanges"
	 */
	private String ignorefilesetchanges;
	/**
	 * @uml.property  name="enablevss"
	 */
	private String enablevss;
	/**
	 * @uml.property  name="include"
	 */
	private String include;
	/**
	 * @uml.property  name="exclude"
	 */
	private String exclude;
	
	public FileSetItem() {}

	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}

	public String getIgnoreFileSetChanges() {
		return ignorefilesetchanges;
	}

	public void setIgnoreFileSetChanges(String ignoreFileSetChanges) {
		this.ignorefilesetchanges = ignoreFileSetChanges;
	}

	/**
	 * @return
	 * @uml.property  name="enablevss"
	 */
	public String getEnablevss() {
		return enablevss;
	}

	/**
	 * @param enablevss
	 * @uml.property  name="enablevss"
	 */
	public void setEnablevss(String enablevss) {
		this.enablevss = enablevss;
	}

	/**
	 * @return
	 * @uml.property  name="include"
	 */
	public String getInclude() {
		return include;
	}

	/**
	 * @param include
	 * @uml.property  name="include"
	 */
	public void setInclude(String include) {
		this.include = include;
	}

	/**
	 * @return
	 * @uml.property  name="exclude"
	 */
	public String getExclude() {
		return exclude;
	}

	/**
	 * @param exclude
	 * @uml.property  name="exclude"
	 */
	public void setExclude(String exclude) {
		this.exclude = exclude;
	}
}
